<html>
<head>
<title>OGRE: Ogre::Sphere Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1Sphere.html">Sphere</a></div>
<h1>Ogre::Sphere Class Reference</h1><!-- doxytag: class="Ogre::Sphere" -->A sphere primitive, mostly used for bounds checking.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreSphere_8h-source.html">OgreSphere.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1Sphere-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Sphere.html#93cb05f8025668db930ef81a34dca47b">Sphere</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Standard constructor - creates a unit sphere around the origin.  <a href="#93cb05f8025668db930ef81a34dca47b"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Sphere.html#bd0dc8dd45b400a07d71115652d2dc20">Sphere</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;center, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> radius)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Constructor allowing arbitrary spheres.  <a href="#bd0dc8dd45b400a07d71115652d2dc20"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Sphere.html#8c0a5dee80bf790cdc5bd2a68f73a4c7">getRadius</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns the radius of the sphere.  <a href="#8c0a5dee80bf790cdc5bd2a68f73a4c7"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Sphere.html#afe80cad31edd668b09981a6f836c8b1">setRadius</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> radius)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets the radius of the sphere.  <a href="#afe80cad31edd668b09981a6f836c8b1"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Sphere.html#b33e56a0df43b2dfe3b72b59757e6f69">getCenter</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns the center point of the sphere.  <a href="#b33e56a0df43b2dfe3b72b59757e6f69"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Sphere.html#f2cd29ca81e68cdeb65b91a2667d6fbc">setCenter</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;center)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets the center point of the sphere.  <a href="#f2cd29ca81e68cdeb65b91a2667d6fbc"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Sphere.html#26fc8402579d1256e222f34b6ac0ecf3">intersects</a> (const <a class="el" href="classOgre_1_1Sphere.html">Sphere</a> &amp;s) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns whether or not this sphere interects another sphere.  <a href="#26fc8402579d1256e222f34b6ac0ecf3"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Sphere.html#ce0763611fbf75e156d6e34d399d5468">intersects</a> (const <a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a> &amp;box) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns whether or not this sphere interects a box.  <a href="#ce0763611fbf75e156d6e34d399d5468"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Sphere.html#adca485853a6ae4535a3a9347ab6119b">intersects</a> (const <a class="el" href="classOgre_1_1Plane.html">Plane</a> &amp;plane) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns whether or not this sphere interects a plane.  <a href="#adca485853a6ae4535a3a9347ab6119b"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Sphere.html#a127d312d66a63b160825c4650c92e14">intersects</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;v) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns whether or not this sphere interects a point.  <a href="#a127d312d66a63b160825c4650c92e14"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Sphere.html#912c305cf5821240fe88a3a7ef59e67b">mRadius</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Sphere.html#4a6065226f4fbd7bc5f3cbe0c385d9c7">mCenter</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
A sphere primitive, mostly used for bounds checking. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>A sphere in math texts is normally represented by the function x^2 + y^2 + z^2 = r^2 (for sphere's centered on the origin). <a class="el" href="namespaceOgre.html">Ogre</a> stores spheres simply as a center point and a radius. </dd></dl>

<p>Definition at line <a class="el" href="OgreSphere_8h-source.html#l00046">46</a> of file <a class="el" href="OgreSphere_8h-source.html">OgreSphere.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="93cb05f8025668db930ef81a34dca47b"></a><!-- doxytag: member="Ogre::Sphere::Sphere" ref="93cb05f8025668db930ef81a34dca47b" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::Sphere::Sphere           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Standard constructor - creates a unit sphere around the origin. 
<p>

<p>Definition at line <a class="el" href="OgreSphere_8h-source.html#l00053">53</a> of file <a class="el" href="OgreSphere_8h-source.html">OgreSphere.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="bd0dc8dd45b400a07d71115652d2dc20"></a><!-- doxytag: member="Ogre::Sphere::Sphere" ref="bd0dc8dd45b400a07d71115652d2dc20" args="(const Vector3 &amp;center, Real radius)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::Sphere::Sphere           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>center</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>radius</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Constructor allowing arbitrary spheres. 
<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>center</em>&nbsp;</td><td>The center point of the sphere. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>radius</em>&nbsp;</td><td>The radius of the sphere. </td></tr>
  </table>
</dl>

<p>Definition at line <a class="el" href="OgreSphere_8h-source.html#l00058">58</a> of file <a class="el" href="OgreSphere_8h-source.html">OgreSphere.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="8c0a5dee80bf790cdc5bd2a68f73a4c7"></a><!-- doxytag: member="Ogre::Sphere::getRadius" ref="8c0a5dee80bf790cdc5bd2a68f73a4c7" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> Ogre::Sphere::getRadius           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns the radius of the sphere. 
<p>

<p>Definition at line <a class="el" href="OgreSphere_8h-source.html#l00062">62</a> of file <a class="el" href="OgreSphere_8h-source.html">OgreSphere.h</a>.</p>

<p>Referenced by <a class="el" href="OgrePlaneBoundedVolume_8h-source.html#l00090">Ogre::PlaneBoundedVolume::intersects()</a>, and <a class="el" href="OgreSceneManager_8h-source.html#l00094">Ogre::VisibleObjectsBoundsInfo::merge()</a>.</p>

</div>
</div><p>
<a class="anchor" name="afe80cad31edd668b09981a6f836c8b1"></a><!-- doxytag: member="Ogre::Sphere::setRadius" ref="afe80cad31edd668b09981a6f836c8b1" args="(Real radius)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Sphere::setRadius           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>radius</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets the radius of the sphere. 
<p>

<p>Definition at line <a class="el" href="OgreSphere_8h-source.html#l00065">65</a> of file <a class="el" href="OgreSphere_8h-source.html">OgreSphere.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="b33e56a0df43b2dfe3b72b59757e6f69"></a><!-- doxytag: member="Ogre::Sphere::getCenter" ref="b33e56a0df43b2dfe3b72b59757e6f69" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&amp; Ogre::Sphere::getCenter           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns the center point of the sphere. 
<p>

<p>Definition at line <a class="el" href="OgreSphere_8h-source.html#l00068">68</a> of file <a class="el" href="OgreSphere_8h-source.html">OgreSphere.h</a>.</p>

<p>Referenced by <a class="el" href="OgrePlaneBoundedVolume_8h-source.html#l00090">Ogre::PlaneBoundedVolume::intersects()</a>, and <a class="el" href="OgreSceneManager_8h-source.html#l00094">Ogre::VisibleObjectsBoundsInfo::merge()</a>.</p>

</div>
</div><p>
<a class="anchor" name="f2cd29ca81e68cdeb65b91a2667d6fbc"></a><!-- doxytag: member="Ogre::Sphere::setCenter" ref="f2cd29ca81e68cdeb65b91a2667d6fbc" args="(const Vector3 &amp;center)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Sphere::setCenter           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>center</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets the center point of the sphere. 
<p>

<p>Definition at line <a class="el" href="OgreSphere_8h-source.html#l00071">71</a> of file <a class="el" href="OgreSphere_8h-source.html">OgreSphere.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="26fc8402579d1256e222f34b6ac0ecf3"></a><!-- doxytag: member="Ogre::Sphere::intersects" ref="26fc8402579d1256e222f34b6ac0ecf3" args="(const Sphere &amp;s) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Sphere::intersects           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Sphere.html">Sphere</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>s</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns whether or not this sphere interects another sphere. 
<p>

<p>Definition at line <a class="el" href="OgreSphere_8h-source.html#l00074">74</a> of file <a class="el" href="OgreSphere_8h-source.html">OgreSphere.h</a>.</p>

<p>References <a class="el" href="OgreSphere_8h-source.html#l00050">mCenter</a>, <a class="el" href="OgreSphere_8h-source.html#l00049">mRadius</a>, <a class="el" href="OgreMath_8h-source.html#l00289">Ogre::Math::Sqr()</a>, and <a class="el" href="OgreVector3_8h-source.html#l00358">Ogre::Vector3::squaredLength()</a>.</p>

</div>
</div><p>
<a class="anchor" name="ce0763611fbf75e156d6e34d399d5468"></a><!-- doxytag: member="Ogre::Sphere::intersects" ref="ce0763611fbf75e156d6e34d399d5468" args="(const AxisAlignedBox &amp;box) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Sphere::intersects           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>box</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns whether or not this sphere interects a box. 
<p>

<p>Definition at line <a class="el" href="OgreSphere_8h-source.html#l00080">80</a> of file <a class="el" href="OgreSphere_8h-source.html">OgreSphere.h</a>.</p>

<p>References <a class="el" href="classOgre_1_1Math.html#11664bfebecca73dbb42c0959d3d9ff7">Ogre::Math::intersects()</a>.</p>

</div>
</div><p>
<a class="anchor" name="adca485853a6ae4535a3a9347ab6119b"></a><!-- doxytag: member="Ogre::Sphere::intersects" ref="adca485853a6ae4535a3a9347ab6119b" args="(const Plane &amp;plane) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Sphere::intersects           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Plane.html">Plane</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>plane</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns whether or not this sphere interects a plane. 
<p>

<p>Definition at line <a class="el" href="OgreSphere_8h-source.html#l00085">85</a> of file <a class="el" href="OgreSphere_8h-source.html">OgreSphere.h</a>.</p>

<p>References <a class="el" href="classOgre_1_1Math.html#11664bfebecca73dbb42c0959d3d9ff7">Ogre::Math::intersects()</a>.</p>

</div>
</div><p>
<a class="anchor" name="a127d312d66a63b160825c4650c92e14"></a><!-- doxytag: member="Ogre::Sphere::intersects" ref="a127d312d66a63b160825c4650c92e14" args="(const Vector3 &amp;v) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Sphere::intersects           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>v</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns whether or not this sphere interects a point. 
<p>

<p>Definition at line <a class="el" href="OgreSphere_8h-source.html#l00090">90</a> of file <a class="el" href="OgreSphere_8h-source.html">OgreSphere.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h-source.html#l00289">Ogre::Math::Sqr()</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="912c305cf5821240fe88a3a7ef59e67b"></a><!-- doxytag: member="Ogre::Sphere::mRadius" ref="912c305cf5821240fe88a3a7ef59e67b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Sphere.html#912c305cf5821240fe88a3a7ef59e67b">Ogre::Sphere::mRadius</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSphere_8h-source.html#l00049">49</a> of file <a class="el" href="OgreSphere_8h-source.html">OgreSphere.h</a>.</p>

<p>Referenced by <a class="el" href="OgreSphere_8h-source.html#l00074">intersects()</a>.</p>

</div>
</div><p>
<a class="anchor" name="4a6065226f4fbd7bc5f3cbe0c385d9c7"></a><!-- doxytag: member="Ogre::Sphere::mCenter" ref="4a6065226f4fbd7bc5f3cbe0c385d9c7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> <a class="el" href="classOgre_1_1Sphere.html#4a6065226f4fbd7bc5f3cbe0c385d9c7">Ogre::Sphere::mCenter</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSphere_8h-source.html#l00050">50</a> of file <a class="el" href="OgreSphere_8h-source.html">OgreSphere.h</a>.</p>

<p>Referenced by <a class="el" href="OgreSphere_8h-source.html#l00074">intersects()</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreSphere_8h-source.html">OgreSphere.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:54:02 2008
</p>
</body>
</html>
